*This sheet edited initially to remove alphanumeric codes ("NA" and "?") from numeric fields.
GET DATA /TYPE=XLS
   /FILE='Moderators.Copy.xls'
   /SHEET=name 'New Ratings Content'
   /CELLRANGE= RANGE 'A1:BE596'
   /READNAMES=on
   /ASSUMEDSTRWIDTH=32767.

SAVE OUTFILE = "New_Ratings.sav" .

GET DATA /TYPE=XLS
   /FILE='Moderators.Copy.xls'
   /SHEET=name 'Old Ratings'
   /CELLRANGE= RANGE 'A1:AF596'
   /READNAMES=on
   /ASSUMEDSTRWIDTH=32767.

SAVE OUTFILE = "Old_Ratings.sav" .

MATCH FILES FILE = "New_Ratings.sav" / FILE = "Old_Ratings.sav" .

EXECUTE .

VARIABLE LABELS 
   check12 "i_att_bel_sc"
   check13 "e_att_bel_sc"
   check14 "ovr_metn"
   check15 "method"
   check16 "ms_log"
   check17 "wor_pic"
   check18 "num_iats"
   check19 "ipo"
   check20 "epo"
   check21 "bpo"
   check22 "i_b_pos"
   check23 "e_b_pos"
   check24 "i_sess"
   check25 "e_sess"
   check26 "i_sd"
   check27 "e_sd"
   check28 "control"
   check29 "ib_corr"
   check30 "eb_corr"
   check31 "comp"
   check32 "racial"
   check33 "iat_type"
   check11 "sing_avg" .

COMPUTE filter$ = (check12 ne "") .
FILTER BY filter$ .
FREQUENCIES check12 .
FILTER OFF .

COMPUTE filter$ = (check13 ne "") .
FILTER BY filter$ .
FREQUENCIES check13 .
FILTER OFF .

COMPUTE filter$ = (check14 ne "") .
FILTER BY filter$ .
FREQUENCIES check14 .
FILTER OFF .

COMPUTE filter$ = (check15 ne "") .
FILTER BY filter$ .
FREQUENCIES check15 .
FILTER OFF .

COMPUTE filter$ = (check16 ne "") .
FILTER BY filter$ .
FREQUENCIES check16 .
FILTER OFF .

COMPUTE filter$ = (check17 ne "") .
FILTER BY filter$ .
FREQUENCIES check17 .
FILTER OFF .

COMPUTE filter$ = (check18 ne "") .
FILTER BY filter$ .
FREQUENCIES check18 .
FILTER OFF .

COMPUTE filter$ = (check19 ne "") .
FILTER BY filter$ .
FREQUENCIES check19 .
FILTER OFF .

COMPUTE filter$ = (check20 ne "") .
FILTER BY filter$ .
FREQUENCIES check20 .
FILTER OFF .

COMPUTE filter$ = (check21 ne "") .
FILTER BY filter$ .
FREQUENCIES check21 .
FILTER OFF .

COMPUTE filter$ = (check22 ne "") .
FILTER BY filter$ .
FREQUENCIES check22 .
FILTER OFF .

COMPUTE filter$ = (check23 ne "") .
FILTER BY filter$ .
FREQUENCIES check23 .
FILTER OFF .

COMPUTE filter$ = (check24 ne "") .
FILTER BY filter$ .
FREQUENCIES check24 .
FILTER OFF .

COMPUTE filter$ = (check25 ne "") .
FILTER BY filter$ .
FREQUENCIES check25 .
FILTER OFF .

COMPUTE filter$ = (check33 ne "") .
FILTER BY filter$ .
FREQUENCIES check33 .
FILTER OFF .

FREQUENCIES check11 .
COMPUTE filter$ = MISSING(check11) = 0 .
FILTER BY filter$ .
FREQUENCIES check11 .
FILTER OFF .

CORRELATIONS @26i_sd @27e_sd @28control @29ib_corr @30eb_corr @31comp 
        WITH i_sd e_sd control ib_corr eb_corr comp .

*Produce new sheet using averages for all variables for which there are two judgments.

*Moderators pertaining to criterion .
COMPUTE new_bpo          = MEAN(bpo         ,@21bpo         ) .
COMPUTE new_control      = MEAN(control     ,@28control     ) .
COMPUTE new_comp         = MEAN(comp        ,@31comp        ) .
COMPUTE new_racial       = MEAN(racial      ,@32racial      ) .
COMPUTE new_ovr_meth     = MEAN(ovr_meth    ,@14ovr_meth    ) .
COMPUTE new_method       = MEAN(method      ,@15method      ) .
COMPUTE new_sing_avg     = MEAN(check11     ,@11sing_avg    ) .

*Moderators pertaining to IAT .
COMPUTE new_i_att_bel_sc = MEAN(i_att_bel_sc,@12i_att_bel_sc) .
COMPUTE new_ipo          = MEAN(ipo         ,@19ipo         ) .
COMPUTE new_i_b_pos      = MEAN(i_b_pos     ,@22i_b_pos     ) .
COMPUTE new_i_sess       = MEAN(i_sess      ,@24i_sess      ) .
COMPUTE new_i_sd         = MEAN(i_sd        ,@26i_sd        ) .
COMPUTE new_ib_corr      = MEAN(ib_corr     ,@29ib_corr     ) .
COMPUTE new_iat_type     = MEAN(iat_type    ,@33iat_type    ) .
COMPUTE new_ms_log       = MEAN(ms_log      ,@16ms_log      ) .
COMPUTE new_wor_pic      = MEAN(wor_pic     ,@17wor_pic     ) .
COMPUTE new_num_iats     = MEAN(num_iats    ,@18num_iats    ) .

*Moderators pertaining to self-report .
COMPUTE new_e_att_bel_sc = MEAN(e_att_bel_sc,@13e_att_bel_sc) .
COMPUTE new_epo          = MEAN(epo         ,@20epo         ) .
COMPUTE new_e_b_pos      = MEAN(e_b_pos     ,@23e_b_pos     ) .
COMPUTE new_e_sess       = MEAN(e_sess      ,@25e_sess      ) .
COMPUTE new_e_sd         = MEAN(e_sd        ,@27e_sd        ) .
COMPUTE new_eb_corr      = MEAN(eb_corr     ,@30eb_corr     ) .

EXECUTE .

DESCRIPTIVES  new_i_att_bel_sc new_e_att_bel_sc new_ovr_meth new_method new_ms_log new_wor_pic 
       new_num_iats new_ipo new_epo new_bpo new_i_b_pos new_e_b_pos new_i_sess new_e_sess new_i_sd
       new_e_sd new_control new_ib_corr new_eb_corr new_comp new_racial new_iat_type new_sing_avg.

DELETE VARIABLES @10category TO filter$ .  

RENAME VARIABLES  (new_i_att_bel_sc new_e_att_bel_sc new_ovr_meth new_method new_ms_log
 new_wor_pic new_num_iats new_ipo new_epo new_bpo new_i_b_pos new_e_b_pos
 new_i_sess new_e_sess new_i_sd new_e_sd new_control new_ib_corr new_eb_corr
 new_comp new_racial new_iat_type new_sing_avg = i_att_bel_sc e_att_bel_sc ovr_meth method
 ms_log wor_pic num_iats ipo epo bpo i_b_pos e_b_pos i_sess e_sess i_sd e_sd
 control ib_corr eb_corr comp racial iat_type sing_avg) .

IF (MISSING(paper_no) = 1) paper_no = LAG(paper_no) .
IF (MISSING(exp) = 1) exp = LAG(exp) .
IF (authors = "") authors = LAG(authors) .
IF (journal = "") journal = LAG(journal) .
IF (dv = "") dv = LAG(dv) .

EXECUTE .

FORMATS i_att_bel_sc TO sing_avg (F3.1) pub_year (F4.0) .

SAVE TRANSLATE OUTFILE='New_moderators.23Jul08.xls'
  /TYPE=XLS /VERSION=8 /MAP /REPLACE /FIELDNAMES
  /CELLS=VALUES .

SAVE OUTFILE = "New_moderators.23Jul08.sav" .
