GET DATA /TYPE=XLS
   /FILE="Copy of ICCs,ECCs,IECs.26Oct08.xls"
   /SHEET=name 'ICCs,ECCs'
   /CELLRANGE= range 'A1:Y650'
   /READNAMES=on
   /ASSUMEDSTRWIDTH=32767 .

*Determine no. of ICCs and ECCs obtained by email .
IF ((r_icc > -2) & (pg_r_icc = "email")) type_icc = 1 .
IF ((r_icc > -2) & (pg_r_icc ne "email")) type_icc = 2 .
FREQUENCIES type_icc .
IF ((r_ecc > -2) & (pg_r_ecc = "email")) type_ecc = 1 .
IF ((r_ecc > -2) & (pg_r_ecc ne "email")) type_ecc = 2 .
FREQUENCIES type_ecc .
DELETE VARIABLES type_icc type_ecc .

IF (iat_code="") iat_code="X" .
IF (self_rep_code="") self_rep_code="X" .
EXECUTE .

MISSING VALUES r_icc N_icc r_ecc N_ecc report_year (-2) iat_code self_rep_code ("X") .

*Define Variable Properties.
*paper_num.
FORMATS paper_num (F3.0).
VARIABLE LABELS paper_num 'Paper Number'.

*author_names.
VARIABLE LABELS author_names 'Authors'.
*FORMATS author_names (A64) .
VARIABLE WIDTH author_names (25).

* APA_style_citation .
VARIABLE LABELS APA_style_citation 'APA style citation'.
*FORMATS APA_style_citation (A330) .
VARIABLE WIDTH APA_style_citation (12).

*report_year.
FORMATS report_year (F5.0).
VARIABLE WIDTH report_year (4) .
VARIABLE LABELS report_year 'Year of Publication or Report'.

*filename.
VARIABLE LABELS filename 'filename of archived report'.
*FORMATS filename (A64) .
VARIABLE WIDTH filename (12).

*journal.
VARIABLE LABELS journal 'Journal'.
*FORMATS journal (A6) .
VARIABLE WIDTH journal (6).

*pub_stat.
FORMATS pub_stat (F2.0).
VARIABLE WIDTH pub_stat (3).
VARIABLE LABELS pub_stat 'publication status'.
VALUE LABELS  pub_stat
     0  'unpublished'
     1  'published'  .

*sample_num.
VARIABLE LABELS sample_num 'independent sample number'.
FORMATS sample_num (F2.0).
VARIABLE WIDTH sample_num (6).

*expt_num.
VARIABLE LABELS expt_num 'experiment number'.
FORMATS expt_num (F2.0).
VARIABLE WIDTH expt_num (3).

*crit_code.
VARIABLE LABELS crit_code 'criterion code'.
VARIABLE WIDTH crit_code (2).

*criterion_content.
VARIABLE LABELS criterion_content 'criterion content'.
*FORMATS criterion_content (A64) .
VARIABLE WIDTH criterion_content (25).

*iat_code .
VARIABLE LABELS iat_code 'IAT code'.
*FORMATS iat_code (A1) .
VARIABLE WIDTH iat_code (3).

*iat_content .
VARIABLE LABELS iat_content 'IAT content'.
*FORMATS iat_content (A64) .
VARIABLE WIDTH iat_content (25).

*self_rep_code .
VARIABLE LABELS self_rep_code 'Self-report code'.
*FORMATS self_rep_code (A2) .
VARIABLE WIDTH self_rep_code (3).

*self_report_content .
VARIABLE LABELS self_report_content 'Self-report content'.
*FORMATS self_report_content (A64) .
VARIABLE WIDTH self_report_content (25).

*num_iats .
VARIABLE LABELS num_iats 'No. of IAT measures'.
FORMATS num_iats (F2.0).
VARIABLE WIDTH num_iats (3).

*pg_r_icc .
VARIABLE LABELS pg_r_icc 'Loc. of r_icc'.
*FORMATS pg_r_icc  (A8) .
VARIABLE WIDTH pg_r_icc (8).

*pg_N_icc .
VARIABLE LABELS pg_N_icc 'Loc. of N_icc'.
*FORMATS pg_N_icc  (A8) .
VARIABLE WIDTH pg_N_icc (8).

*pg_r_ecc .
VARIABLE LABELS pg_r_ecc 'Loc. of r_ecc'.
*FORMATS pg_r_ecc  (A8) .
VARIABLE WIDTH pg_r_ecc (8).

*pg_N_ecc .
VARIABLE LABELS pg_N_ecc 'Loc. of N_ecc'.
*FORMATS pg_N_ecc  (A8) .
VARIABLE WIDTH pg_N_ecc (8).

*r_icc .
VARIABLE LABELS r_icc 'IAT-criterion r effect size'.
FORMATS r_icc (F5.3).
VARIABLE WIDTH r_icc (5).

*r_ecc .
VARIABLE LABELS r_ecc 'self-report-criterion r effect size'.
FORMATS r_ecc (F5.3).
VARIABLE WIDTH r_ecc (5).

*N_icc .
VARIABLE LABELS N_icc 'IAT-criterion r sample size'.
FORMATS N_icc (F5.0).
VARIABLE WIDTH N_icc (5).

*N_ecc .
VARIABLE LABELS N_ecc 'self-report-criterion r sample size'.
FORMATS N_ecc (F5.0).
VARIABLE WIDTH N_ecc (5).

DESCRIPTIVES ALL .
FREQUENCIES report_year journal pub_stat sample_num expt_num crit_code iat_code self_rep_code num_iats .
 
SAVE OUTFILE='UUIAT3.ICCs&ECCs.sav'.

***************************************************** .
