GET DATA /TYPE=XLS
   /FILE="Copy of ICCs,ECCs,IECs.26Oct08.xls"
   /SHEET=name 'IECs'
   /CELLRANGE= range 'A1:N379'
   /READNAMES=on
   /ASSUMEDSTRWIDTH=32767 .
*Determine no. of IECs obtained by email .
IF ((r_iec > -2) & (pg_r_iec = "email")) type_iec = 1 .
IF ((r_iec > -2) & (pg_r_iec ne "email")) type_iec = 2 .
FREQUENCIES type_iec .

DELETE VARIABLES pub_stat type_iec . 

*Define Variable Properties.
*paper_num.
FORMATS paper_num (F3.0).
VARIABLE LABELS paper_num 'Paper Number'.

*author_names.
VARIABLE LABELS author_names 'Authors'.
*FORMATS author_names (A64) .
VARIABLE WIDTH author_names (25).

*report_year.
FORMATS report_year (F5.0).
VARIABLE WIDTH report_year (4) .
VARIABLE LABELS report_year 'Year of Publication or Report'.

*sample_num.
VARIABLE LABELS sample_num 'independent sample number'.
FORMATS sample_num (F2.0).
VARIABLE WIDTH sample_num (6).

*expt_num.
VARIABLE LABELS expt_num 'experiment number'.
FORMATS expt_num (F2.0).
VARIABLE WIDTH expt_num (3).

*iat_code .
VARIABLE LABELS iat_code 'IAT code'.
*FORMATS iat_code (A1) .
VARIABLE WIDTH iat_code (3).

*iat_content .
VARIABLE LABELS iat_content 'IAT content'.
*FORMATS iat_content (A64) .
VARIABLE WIDTH iat_content (25).

*self_rep_code .
VARIABLE LABELS self_rep_code 'Self-report code'.
*FORMATS self_rep_code (A2) .
VARIABLE WIDTH self_rep_code (3).

*self_report_content .
VARIABLE LABELS self_report_content 'Self-report content'.
*FORMATS self_report_content (A64) .
VARIABLE WIDTH self_report_content (25).

*pg_r_iec .
VARIABLE LABELS pg_r_iec 'Loc. of r_iec'.
*FORMATS pg_r_iec  (A8) .
VARIABLE WIDTH pg_r_iec (8).

*pg_N_iec .
VARIABLE LABELS pg_N_iec 'Loc. of N_iec'.
*FORMATS pg_N_iec  (A8) .
VARIABLE WIDTH pg_N_iec (8).

*r_iec .
VARIABLE LABELS r_iec 'IAT-explicit r effect size'.
FORMATS r_iec (F5.3).
VARIABLE WIDTH r_iec (5).

*N_iec .
VARIABLE LABELS N_iec 'IAT-explicit r sample size'.
FORMATS N_iec (F5.0).
VARIABLE WIDTH N_iec (5).

DESCRIPTIVES ALL .
FREQUENCIES report_year sample_num expt_num iat_code self_rep_code .
 
SAVE OUTFILE='UUIAT3.IECs.sav'.

***************************************************** .
