***********************************************.
*ALL ICCs.
***********************************************.
GET FILE = "UUIAT3.ICCs.ECCs.moderators.sav" .

************************************** .
*Test for number of old and new effect sizes .
DESCRIPTIVES r_icc r_ecc .
IF (paper_num <= 103) new=0 .
IF (paper_num > 103) new=1 .
EXECUTE .

SORT CASES BY new .
SPLIT FILE BY new .
DESCRIPTIVES r_icc r_ecc .

*# of old ICCs = 443 .
*# of new ICCs =  83 . 
*       (Total = 526) .
*# of old ECCs = 455 .
*# of new ECCs = 102 .
*       (Total = 557) .
SPLIT FILE OFF .

COMPUTE z_icc =  0.5*(LN((1+r_icc)/(1-r_icc))) .
COMPUTE wt_icc = N_icc - 3 .
COMPUTE z_X_wt_icc = z_icc * wt_icc .
EXECUTE .

*NOW aggregate to produce a single average weighted effect size for each independent sample .

* Add "new" as 1st Break variable .
* Combine across attitude/stereotype/self-concept iccs within independent samples.
AGGREGATE OUTFILE = * / BREAK = new paper_num sample_num expt_num category 
 / sum_z_X_wt_icc = SUM(z_X_wt_icc) / sum_wt_icc = SUM(wt_icc) / num_ICCs = N(wt_icc)
 / mean_wt_icc = MEAN(wt_icc) .

SPLIT FILE BY new .
FREQUENCIES num_ICCs .
*# of old independent samples = 156 .
*# of new independent samples =  28 . 
*                      (Total = 184) .
SPLIT FILE OFF .

IF (category="A") reduced_cat = 1 .
IF (category="B" | category="C") reduced_cat = 2 .
IF (category="D" | category="E" | category="F") reduced_cat = 3 .
IF (category="H" | category="J") reduced_cat = 4 .
IF (category="G" | category="K") reduced_cat = 5 .
IF (category="L") reduced_cat = 6 .

VALUE LABELS reduced_cat
    1 "intergroup behavior - race"  
    2 "intergroup behavior - other"
    3 "consumer preferences" 
    4 "personality traits" 
    5 "clinical & addiction" 
    6 "close relationships" .

FREQUENCIES category reduced_cat .

IF (category="A" | category="B" | category="C") reduced_cat = 1 .
IF (category="D" | category="E" | category="F") reduced_cat = 2.
IF (category="H" | category="J") reduced_cat = 3.
IF (category="G" | category="K") reduced_cat = 4.
IF (category="L") reduced_cat = 5.

VALUE LABELS reduced_cat
    1 "intergroup behavior - race, ethnicity, sex, age"
    2 "consumer preferences" 
    3 "personality traits" 
    4 "clinical & addiction" 
    5 "close relationships" .
EXECUTE .

*Get total number of subjects , by category.

SAVE OUTFILE = "temp.sav" .

COMPUTE N_icc = mean_wt_icc + 3.
AGGREGATE OUTFILE = *
 / BREAK = new paper_num category / N_category = SUM(N_icc) / K_category = N.

*This aggregation has multiple lines for papers that contain more than one category of criterion measure.
*Reduce to one line per paper .

AGGREGATE OUTFILE = * 
 / BREAK = new paper_num / Total_N = SUM(N_category) / Total_K = SUM(K_category) .

SPLIT FILE BY new .
DESCRIPTIVES Total_N Total_K .

LIST ALL .
*# of old papers = 98 .
*# of new papers = 24 . 
*        (Total = 122) .
SPLIT FILE OFF .

