GET FILE = "All_ESs.sav" .

*Fold category "H" into "J" .
*Fold category "E" into "D" .
RECODE category ("H" = "J") ("E" = "D") .

VALUE LABELS category
 "A" "race"
 "B" "other intergroup"
 "C" "gender-sex"
 "D" "consumer"
 "F" "politics"
 "G" "drugs or tobacco"
 "J" "personality/self-concept"
 "K" "clinical"
 "L" "relationships" .

STRING topic (A16) .
IF (category="A") topic="race" .
IF (category="B") topic="other intergroup" .
IF (category="C") topic="gender-sex" .
IF (category="D") topic="consumer" .
IF (category="F") topic="politics" .
IF (category="G") topic="drugs/tobacco" .
IF (category="J") topic="personality" .
IF (category="K") topic="clinical" .
IF (category="L") topic="relationships" .
EXECUTE .

AGGREGATE OUTFILE = * / BREAK = author_names sample_num expt_num topic 
 / sum_z_X_wt_icc = SUM(z_X_wt_icc) / sum_wt_icc = SUM(wt_icc) / num_ICCs = N(wt_icc)
 / mean_wt_icc = MEAN(wt_icc) 
 / sum_z_X_wt_ecc = SUM(z_X_wt_ecc) / sum_wt_ecc = SUM(wt_ecc) / num_eccs = N(wt_ecc)
 / mean_wt_ecc = MEAN(wt_ecc) 
 / sum_z_X_wt_iec = SUM(z_X_wt_iec) / sum_wt_iec = SUM(wt_iec) / num_iecs = N(wt_iec)
 / mean_wt_iec = MEAN(wt_iec) .

COMPUTE mean_z_icc = sum_z_X_wt_icc / sum_wt_icc .
COMPUTE mean_z_ecc = sum_z_X_wt_ecc / sum_wt_ecc .
COMPUTE mean_z_iec = sum_z_X_wt_iec / sum_wt_iec .

*Convert Zs back to r values.
COMPUTE r_ICC = (EXP(2*mean_z_icc) - 1)/(EXP(2*mean_z_icc) + 1) .
COMPUTE r_ECC = (EXP(2*mean_z_ecc) - 1)/(EXP(2*mean_z_ecc) + 1) .
COMPUTE r_IEC = (EXP(2*mean_z_iec) - 1)/(EXP(2*mean_z_iec) + 1) .

COMPUTE casenum = $CASENUM .
FORMAT casenum (F4.0).
DESCRIPTIVES ALL .
DELETE VARIABLES sum_z_X_wt_icc TO mean_z_iec .
DESCRIPTIVES ALL .

SAVE OUTFILE = "Appendix.ind_samp_ESs.sav" .
 
