MATCH FILES FILE = "Appendix_Table_1.sav" / FILE = "Appendix.ind_samp_ESs.sav" 
 / BY author_names sample_num expt_num topic .

EXECUTE .

RECODE topic ("gender-sex" = "gender/sex") ("race" = "race (Bl/Wh)").
EXECUTE .

*Convert att_bel_sc variables to text .
FREQUENCIES i_att_bel_sc e_att_bel_sc .

COMPUTE filter$ = i_att_bel_sc = 1.5 .
FILTER BY filter$ .
FREQUENCIES SD_i_att_bel_sc .
FILTER OFF .

COMPUTE filter$ = e_att_bel_sc = 1.5 .
FILTER BY filter$ .
FREQUENCIES SD_e_att_bel_sc .
FILTER OFF .

STRING iat_type s_r_type (A10) .
COMPUTE iat_type = "multiple" .
IF (i_att_bel_sc=1) iat_type = "attitude" .
IF (i_att_bel_sc=2) iat_type = "belief" .
IF (i_att_bel_sc=3) iat_type = "self" .
IF (i_att_bel_sc=1.5) iat_type = "att/belief" .
FREQUENCIES iat_type .

IF (MISSING(e_att_bel_sc)=0) s_r_type = "multiple" . 
IF (e_att_bel_sc=1) s_r_type = "attitude" .
IF (e_att_bel_sc=2) s_r_type = "belief" .
IF (e_att_bel_sc=3) s_r_type = "self" .
IF (e_att_bel_sc=1.5) s_r_type = "att/belief" .
FREQUENCIES s_r_type .

*DELETE VARIABLES new_author_name .

STRING new_author_name (A66) .
IF (pub_stat=0) new_author_name = CONCAT("*", author_names) .
IF (pub_stat=1) new_author_name = author_names .
EXECUTE .

RENAME VARIABLES 
 (new_author_name=citation)
 (expt_num=expt)
 (sample_num=sample)
 (N_icc = sample_size)
 (N_crit=Ncrit)
 (r_ICC = ICC)
 (N_iats = Niat)
 (r_ECC = ECC)
 (N_self_reps = Nexpl)
 (s_r_type = expl_type)
 (r_IEC = IEC) .

FORMATS ICC ECC IEC (F4.3) Ncrit Niat Nexpl (F2.0) .
SAVE TRANSLATE OUTFILE='APPENDIX_TABLE.xls'
  /TYPE=XLS /VERSION=8 
  / KEEP = citation expt sample sample_size Ncrit topic ICC Niat iat_type 
           ECC Nexpl expl_type IEC 
  /MAP /REPLACE /FIELDNAMES /CELLS=VALUES .

COMPUTE hits = (INDEX(iat_type,"att")=1 OR INDEX(iat_type,"mult")=1) .
EXECUTE .
DESCRIPTIVES hits .
