* Siri Carpenter;
*  September 2, 1997;
*  descriptive statistics for Study 3;
*  using lrt data for IAT;

options linesize=86;

libname alllib 'd:\prediss\study3\sas\std3data';


data temp;
  set alllib.all_data;

*  CREATE FEMINISM SCALE (BASED ON FACTOR ANALYSIS OF ITEMS);
feminism=mean (of affactn edubias era changenm gendlang);


*  CREATE SCALES FOR EVALUATIONS OF CANDIDATES ON COMPUTER;
*  using 3-factor solution;

fcancoop=mean(of femcmpas femcoop);
fcanintl=mean(of femstrng femintel);
fcanfav=mean (of femfavor femsccss);
mcancoop=mean(of malcmpas malcoop);
mcanintl=mean(of malstrng malintel);
mcanfav=mean(of malfavor malsccss);

label fcancoop='Female Candidate Cooperative Index'
      fcanintl='Female Candidate Intelligent Index'
      mcancoop='Male Candidate Cooperative Index'
      mcanintl='Male Candidate Intelligent Index';

proc sort data=temp;
  by subgend;
  run;



/*

*  UNIVARIATES ON EACH VARIABLE;
proc univariate normal plot;
  var raifspec raimspec raifgen raimgen expfspec expmspec expfgen expmgen
      expwom expmen feminism fcancoop fcanintl mcancoop mcanintl
      malethrm femthrm;
      ID subject;
  title 'Univariate statistics on most variables';
run;


*  HISTOGRAMS OF EACH VARIABLE, BY SUBJECT GENDER;
proc chart;
  vbar raifspec raimspec raifgen raimgen expfspec expmspec expfgen expmgen
      expwom expmen feminism fcancoop fcanintl mcancoop mcanintl
      malethrm femthrm/levels=10
      subgroup=subgend;
  title 'Histograms of variables';
  run;


*  PLOTS OF VARIABLES;

proc plot;
  plot mcanplea*spmlpref=subgend;
  title 'Plot of implicit preference for specific male against explicit liking';
  title2 'for male candidate';
  run;

proc plot;
  plot mleaplea*gmlpref=subgend;
  title 'Plot of implicit preference for general male leaders against explicit';
  title2 'liking for male leaders';
  run;

proc plot;
  plot expfspec*raifspec=subgend;
  title 'How related are implicit and explicit attitudes toward the';
  title2 'SPECIFIC FEMALE leader?';
  run;
proc plot;
  plot expmspec*raimspec=subgend;
  title 'How related are implicit and explicit attitudes toward the';
  title2 'SPECIFIC MALE leader?';
  run;
proc plot;
  plot expfgen*raifgen=subgend;
  title 'How related are implicit and explicit attitudes toward';
  title2 'FEMALE LEADERS GENERALLY?';
  run;
proc plot;
  plot expmgen*raimgen=subgend;
  title 'How related are implicit and explicit attitudes toward';
  title2 'MALE LEADERS GENERALLY?';
  run;
proc plot;
  plot feminism*raifspec=subgend;
  title 'How related is feminism to implicit attitudes toward the';
  title2 'SPECIFIC FEMALE leader?';
  run;
proc plot;
  plot feminism*raifgen=subgend;
  title 'How related is feminism to implicit attitudes toward';
  title2 'FEMALE LEADERS GENERALLY?';
  run;
proc plot;
  plot femthrm*raifspec=subgend;
  title 'How related are attitudes toward female political leaders on the';
  title2 'mini-mass survey and implicit attitudes toward the SPECIFIC';
  title3 'FEMALE leader?';
  run;
proc plot;
  plot femthrm*raifgen=subgend;
  title 'How related are attitudes toward female political leaders on the';
  title2 'mini-mass survey and implicit attitudes toward FEMALE LEADERS';
  title3 'GENERALLY?';
  run;


*ALL PARTICIPANTS' SCORES ON VARIALBES;
proc print noobs;
  var subject subgend wldvote malethrm femthrm;
  title 'List of participant scores on mini-mass survey items';
  run;
proc print noobs;
  var subject subgend femcmpas femcoop femfavor femintel femsccss femstrng;
  title 'List of participant scores on variables from voting segment';
  run;
proc print noobs;
  var subject subgend malcmpas malcoop malfavor malintel malsccss malstrng
      sublim vote;
  title 'List of participant scores on variables from voting segment';
  run;
proc print noobs;
  var subject subgend fspneg fsppos mspneg msppos;
  title 'List of participant scores on variables from specific IAT';
  run;
proc print noobs;
  var subject subgend fgneg fgpos mgneg mgpos;
  title 'List of participant scores on variables from general IAT';
  run;
proc print noobs;
  var subject subgend raifspec raimspec raifgen raimgen;
  title 'List of participant scores on variables from IATs (in RAI form)';
  run;
proc print noobs;
  var subject subgend fcanplea fcanunpl mcanplea mcanunpl
                      fleaplea fleaunpl mleaplea mleaunpl
                      menplea menunpl womplea womunpl;
  title 'List of participant scores on explicit ratings of candidates,';
  title2 'leaders generally, and men and women generally';
  run;
proc print noobs;
  var subject subgend expfspec expmspec expfgen expmgen expwom expmen;
  title 'List of participant scores on explicit ratings, in RAI form)';
  run;
proc print noobs;
  var subject subgend affactn caregive changenm edubias era gendlang gendrole fmnst equal;
  title 'List of participant scores on explicit feminism items';
  run;
proc print noobs;
  var subject subgend age ethnic bornus yearsus english yearseng suspect;
  title 'List of participant scores on demographic variables and suspicion';
  run;


*  MEANS ON VARIABLES, ALTOGETHER AND BY SUBJECT GENDER;
proc means;
  var raifspec;
  title ' ';
  run;
proc means;
  class subgend;
  var raifspec;
  run;
proc means;
  var raifgen;
  run;
proc means;
  class subgend;
  var raifgen;
  run;
proc means;
  var raimspec;
  run;
proc means;
  class subgend;
  var raimspec;
  run;
proc means;
  var raimgen;
  run;
proc means;
  class subgend;
  var raimgen;
  run;
proc means;
  var expfspec;
  run;
proc means;
  class subgend;
  var expfspec;
  run;
proc means;
  var expmspec;
  run;
proc means;
  class subgend;
  var expmspec;
  run;
proc means;
  var expfgen;
  run;
proc means;
  class subgend;
  var expfgen;
  run;
proc means;
  var expmgen;
  run;
proc means;
  class subgend;
  var expmgen;
  run;
proc means;
  var expwom;
  run;
proc means;
  class subgend;
  var expwom;
  run;
proc means;
  var expmen;
  run;
proc means;
  class subgend;
  var expmen;
  run;
proc means;
  var feminism;
  run;
proc means;
  class subgend;
  var feminism;
  run;
proc means;
  var fcancoop;
  run;
proc means;
  class subgend;
  var fcancoop;
  run;
proc means;
  var fcanintl;
  run;
proc means;
  class subgend;
  var fcanintl;
  run;
proc means;
  var mcancoop;
  run;
proc means;
  class subgend;
  var mcancoop;
  run;
proc means;
  var mcanintl;
  run;
proc means;
  class subgend;
  var mcanintl;
  run;
proc means;
  var malethrm;
  run;
proc means;
  class subgend;
  var malthrm;
  run;
proc means;
  var femthrm;
  run;
proc means;
  class subgend;
  var femthrm;
  run;


**************************

*ALPHAS FOR ANALYSES OF FEMINISM ITEMS;

proc corr alpha;
  var affactn caregive changenm edubias era gendlang gendrole;
  title 'Correlations between feminism items';
  run;

proc corr alpha;
  by subgend;
  var affactn caregive changenm edubias era gendlang gendrole;
  title 'Correlations between feminism items, by subject gender';
  run;


*ALPHAS FOR ANALYSES OF COMPUTER-RESPONSE EVALUATIONS OF CANDIDATES;

proc corr alpha;
  var femcmpas femcoop femfavor femintel femsccss femstrng;
  title 'Correlations b/w evaluative items for female candidate (computer)';
  run;

proc corr alpha;
  by subgend;
  var fmcmpas femcoop femfavor femintel femsccss femstrng;
  title 'Correlations b/w evaluative items for female candidate, by subgend (computer)';
  run;


proc corr alpha;
  var malcmpas malcoop malfavor malintel malsccss malstrng;
  title 'Correlations b/w evaluative items for male candidate (computer)';
  run;

proc corr alpha;
  by subgend;
  var malcmpas malcoop malfavor malintel malsccss malstrng;
  title 'Correlations b/w evaluative items for male candidate, by subgend (computer)';
  run;

***********************

*FACTOR ANALYSIS FOR FEMINISM SCALE;

proc factor data=temp m=p scree prerotate=varimax rotate=promax n=3 k=2
            round reorder flag=.4;
var affactn caregive changenm edubias era gendlang gendrole;
title '3 promax rotated principal components of feminism items';
run;


proc factor data=temp m=p scree prerotate=varimax rotate=promax n=2 k=2
            round reorder flag=.4;
var affactn caregive changenm edubias era gendlang gendrole;
title '2 promax rotated principal components of feminism items';
run;


*FACTOR ANALYSIS FOR FEMALE CANDIDATE EVALUATIONS SCALES;

proc factor data=temp m=p scree prerotate=varimax rotate=promax n=3 k=2
            round reorder flag=.4;
var femcmpas femcoop femfavor femintel femsccss femstrng;
title '3 promax rotated principal components of female candidate evaluation items';
run;


proc factor data=temp m=p scree prerotate=varimax rotate=promax n=2 k=2
            round reorder flag=.4;
var femcmpas femcoop femfavor femintel femsccss femstrng;
title '2 promax rotated principal components of female candidate evaluation items';
run;


*FACTOR ANALYSIS FOR MALE CANDIDATE EVALUATIONS SCALES;

proc factor data=temp m=p scree prerotate=varimax rotate=promax n=3 k=2
            round reorder flag=.4;
var malcmpas malcoop malfavor malintel malsccss malstrng;
title '3 promax rotated principal components of male candidate evaluation items';
run;


proc factor data=temp m=p scree prerotate=varimax rotate=promax n=2 k=2
            round reorder flag=.4;
var malcmpas malcoop malfavor malintel malsccss malstrng;
title '2 promax rotated principal components of male candidate evaluation items';
run;



*FACTOR ANALYSIS FOR FEMALE CANDIDATE EVALUATIONS SCALES, BY SUBJECT GENDER;

proc factor data=temp m=p scree prerotate=varimax rotate=promax n=3 k=2
            round reorder flag=.4;
by subgend;
var femcmpas femcoop femfavor femintel femsccss femstrng;
title '3 promax rotated principal components of female candidate evaluation items, by subject gender';
run;


proc factor data=temp m=p scree prerotate=varimax rotate=promax n=2 k=2
            round reorder flag=.4;
by subgend;
var femcmpas femcoop femfavor femintel femsccss femstrng;
title '2 promax rotated principal components of female candidate evaluation items, by subject gender';
run;



*FACTOR ANALYSIS FOR MALE CANDIDATE EVALUATIONS SCALES, BY SUBJECT GENDER;

proc factor data=temp m=p scree prerotate=varimax rotate=promax n=3 k=2
            round reorder flag=.4;
by subgend;
var malcmpas malcoop malfavor malintel malsccss malstrng;
title '3 promax rotated principal components of male candidate evaluation items, by subject gender';
run;


proc factor data=temp m=p scree prerotate=varimax rotate=promax n=2 k=2
            round reorder flag=.4;
by subgend;
var malcmpas malcoop malfavor malintel malsccss malstrng;
title '2 promax rotated principal components of male candidate evaluation items, by subject gender';
run;

*/
