* Siri Carpenter;
*  September 7, 1997;
*  inferential statistics for Study 3;

options linesize=86;

libname alllib 'g:\prediss\study3\sas\std3data';

data temp;
  set alllib.lrtdata;

*delete subject who didn't respond to most explicit questions;
if subject=198 then delete;


*  CREATE SCALES FOR EVALUATIONS OF CANDIDATES ON COMPUTER;

 *using index guided by 3-factor promax solution with male and;
  *female subjects separate;
  fcancoop=mean (of femcmpas femcoop);
  fcanintl=mean(of femstrng femintel);
  fcanfav=mean(of femfavor femsccss);
  mcancoop=mean(of malcmpas malcoop);
  mcanintl=mean(of malstrng malintel);
  mcanfav=mean(of malfavor malsccss);


label fcancoop='Female Candidate Cooperative Index'
      fcanintl='Female Candidate Intelligent Index'
      fcanfav='Female Candidate Favorability Index'
      mcancoop='Male Candidate Cooperative Index'
      mcanintl='Male Candidate Intelligent Index'
      mcanfav='Male Candidate Favorability Index';

proc sort data=temp;
  by subgend;

/*
proc means n mean std;
  class subgend;
  var expfspec expmspec expfgen expmgen expwom expmen;
  run;


proc glm;
  by subgend;
  model fcanplea fcanunpl mcanplea mcanunpl=/nouni;
  repeated stimgend 2, valence 2/nom;
  title '3-Way ANOVA: Subgend x Stimgend x Valence for explicit ratings of candidates';
  run;

proc glm;
  by subgend;
  model fleaplea fleaunpl mleaplea mleaunpl=/nouni;
  repeated stimgend 2, valence 2/nom;
  title '3-Way ANOVA: Subgend x Stimgend x Valence for explicit ratings of leaders';
  run;

proc glm;
  by subgend;
  model womplea womunpl menplea menunpl=/nouni;
  repeated stimgend 2, valence 2/nom;
  title '3-Way ANOVA: Subgend x Stimgend x Valence for explicit ratings of men and women';
  run;


*ANALYSES OF EXPLICIT COMPUTER EVALUATIONS OF CANDIDATES;
proc means n mean std;
  class subgend;
  var fcancoop fcanintl fcanfav mcancoop mcanintl mcanfav;
  title 'Evaluations of candidates on computer';
  run;

proc glm;
  class subgend;
  model fcancoop fcanintl fcanfav mcancoop mcanintl mcanfav=subgend/nouni;
  repeated stimgend 2, attribut 3/nom;
  title '3-way Anova: Subgend x stimgend x attribute';
  run;

proc glm;
  by subgend;
  model fcancoop fcanintl fcanfav mcancoop mcanintl mcanfav=/nouni;
  repeated stimgend 2, attribut 3/nom;
  title '3-way Anova: Stimgend x attribute, for each subgend';
  run;

*/
