* Siri Carpenter;
*  September 7, 1997;
*  inferential statistics for Study 3;

options linesize=86;

libname alllib 'g:\prediss\study3\sas\std3data';

data temp;
  set alllib.lrtdata;


*  CREATE FEMINISM SCALE (BASED ON FACTOR ANALYSIS OF ITEMS);
feminism=mean (of affactn edubias era changenm gendlang);


*  CREATE SCALES FOR EVALUATIONS OF CANDIDATES ON COMPUTER;

  *using index guided by 3-factor promax solution with male and;
  *female subjects separate;
  fcancoop=mean (of femcmpas femcoop);
  fcanintl=mean(of femstrng femintel);
  fcanfav=mean(of femfavor femsccss);
  mcancoop=mean(of malcmpas malcoop);
  mcanintl=mean(of malstrng malintel);
  mcanfav=mean(of malfavor malsccss);

label fcancoop='Female Candidate Cooperative Index'
      fcanintl='Female Candidate Intelligent Index'
      fcanfav='Female Candidate Favorability Index'
      mcancoop='Male Candidate Cooperative Index'
      mcanintl='Male Candidate Intelligent Index'
      mcanfav='Male Candidate Favorability Index';

*create explicit preference score from written and computer measures of favorability;
spmexpr1=mcanplea-fcanplea;
spmexpr2=mcanfav-fcanfav;
spmexpr3=mcanintl-fcanintl;
spmexpr4=mcancoop-fcancoop;
gmexpr=mleaplea-fleaplea;

  label spmexpr1='spec. male expl pref (written)'
        spmexpr2='spec. male expl pref (computer--fav)'
        spmexpr3='spec. male expl pref (computer--intel)'
        spmexpr4='spec. male expl pref (computer--coop)'
        gmexpr='general male expl pref (written)'
        spmlpref='spec. male impl pref (IAT)';

run;

*LOGISTIC REGRESSION;
*original order: subgend spmexpr1 spmlpref gmexpr gmlpref;

proc logistic;
  model vote=subgend;
  title 'Model1: Hierarchical logistic regression to predict voting for female candidate';
  run;

proc logistic;
  model vote=subgend gmexpr;
  title 'Model2: Hierarchical logistic regression to predict voting for female candidate';
  run;

proc logistic;
  model vote=subgend gmexpr spmexpr1;
  title 'Model3: Hierarchical logistic regression to predict voting for female candidate';
  run;

proc logistic;
  model vote=subgend gmexpr spmexpr1 gmlpref;
  title 'Model4: Hierarchical logistic regression to predict voting for female candidate';
  run;

proc logistic;
  model vote=subgend gmexpr spmexpr1 gmlpref spmlpref;
  title 'Model5: Hierarchical logistic regression to predict voting for female candidate';
  run;
