* Siri Carpenter;
*  September 7, 1997;
*  inferential statistics for Study 3;
*  using LRT data for IAT;

options linesize=86;

libname alllib 'd:\prediss\study3\sas\std3data';

data temp;
  set alllib.lrtdata;

feminism=mean (of affactn edubias era changenm gendlang);
wldvote=8-wldvote;

*create indices for explicit (computer) evaluations;
  *using index guided by 3-factor promax solution with male and;
  *female subjects separate;
  fcancoop=mean (of femcmpas femcoop);
  fcanintl=mean(of femstrng femintel);
  fcanfav=mean(of femfavor femsccss);
  mcancoop=mean(of malcmpas malcoop);
  mcanintl=mean(of malstrng malintel);
  mcanfav=mean(of malfavor malsccss);


label fcancoop='Female Candidate Cooperative Index'
      fcanintl='Female Candidate Intelligent Index'
      fcanfav='Female Candidate Favorability Index'
      mcancoop='Male Candidate Cooperative Index'
      mcanintl='Male Candidate Intelligent Index'
      mcanfav='Male Candidate Favorability Index';


*delete subject who didn't respond to most explicit questions;
if subject=198 then delete;

run;

proc corr;
  var vote;
  with spmlpref gmlpref
       mcanplea mleaplea menplea feminism fmnst
       fcancoop fcanintl fcanfav mcancoop mcanintl mcanfav
  malethrm femthrm wldvote
  suspect;
  title 'Correlations between voting and other variables';
  run;

proc sort;  by subgend;  run;

proc corr;
  by subgend;
  var vote;
  with spmlpref gmlpref
       mcanplea mleaplea menplea feminism fmnst
  fcancoop fcanintl fcanfav mcancoop mcanintl mcanfav
  malethrm femthrm wldvote
  suspect;
  title 'Correlations between voting and other variables, by subgend';
  run;
